import AST.*;
import java.util.*;

@SuppressWarnings("ArraysAsListWithZeroOrOneArgument")
public class All extends AbstractTests {
  private Root r;
  private A a1;
  private A a2;
  private A a3;
  private B b1;
  private B b2;
  private B b3;

  public static void main(String args[]) {
    new All().test();
  }

  public void test() {
    testNameRes1();
  }



  /**
   * rel A.Di1 -> B;
   */
  private void testNameRes1() {
    setup();
    a1.setRel1(NamedElement.createRef("b2"));
    System.out.println("Rel 1 of a1 has type " + a1.getRel1().getClass().getSimpleName());
    assertSame(a1.getRel1(), b2);
  }

  private void setup() {
    r = new Root();
    a1 = new A("a1");
    a2 = new A("a2");
    a3 = new A("a3");
    b1 = new B("b1");
    b2 = new B("b2");
    b3 = new B("b3");

    r.addA(a1);
    r.addA(a2);
    r.addA(a3);
    r.addB(b1);
    r.addB(b2);
    r.addB(b3);
  }

}
